2014-03-12    <claus@anaxagoras.wireless.localnet>

	* Maintenance release, nothing new. Intended for GV 1.9.5.

2014-03-12  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* INSTALL:
	Generic installation instruction are auto-generated by autoreconf.

	* .cvsignore, INSTALL: Maintenance commit, make it compile.

2010-03-14  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gvm4/geomview.m4, m4/geomview.m4: Remove RANLIB.

	* gvm4/.cvsignore, m4/.cvsignore: Ignore the new libtool files.

	* gvm4/geomview.m4, m4/geomview.m4: Add AC_CONFIG_MACRODIR()

2009-09-16  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gvm4/geomview.m4, m4/geomview.m4: Add some more tests.

2008-05-17  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* NEWS, configure.ac: Reflect some autoconf changes.

	* INSTALL: Update to a newer version.

	* gvm4/geomview.m4, m4/geomview.m4:
	Define VARARRAY() macros to select either alloca() or C99 variadic arrays.

2007-06-09  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* README, configure.ac: Update.

2007-05-20  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* NEWS: Bump version stamps.

	* gvm4/geomview.m4, m4/geomview.m4: Check for Geomview in bindir first.

2007-05-16  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gvm4/withtool.m4, m4/withtool.m4, gvm4/lf_local.m4, m4/lf_local.m4:
	Don't use -qs (SGI compatibility issue).

2007-04-25  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gvm4/geomview.m4, m4/geomview.m4:
	Search under DEFAULT_PREFIX/lib/ and libdir for libgeomview.

	* INSTALL.Orrery: FreeBSD notes.

	* gvm4/iso-c99.m4, m4/iso-c99.m4: Initial revision.

2007-04-24  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* AUTHORS, INSTALL, INSTALL.Orrery, README: Doc update.

2007-04-20  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gvm4/geomview.m4, m4/geomview.m4:
	Check for libgeomview under DEFAULT_PREFIX, disable (per default)
	--enable-geomview-query if --prefix was given (can be re-enabled).

	* gvm4/set-prefix.m4, m4/set-prefix.m4: Iterate with eval.

2007-04-17  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gvm4/geomview.m4, m4/geomview.m4:
	Make --enable-geomview-query the default, i.e. ask the installed
	version of Geomview about the installation directories if not disabled
	via --disable-geomview-query.

	* gvm4/check-package.m4, m4/check-package.m4:
	Iterate with eval over the extra framework search paths.

	* gvm4/check-package.m4, m4/check-package.m4:
	Revert previous two changes.

2007-04-16  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gvm4/check-package.m4, m4/check-package.m4:
	Need to use LDFLAGS; the library path passed to AC_CHECK_LIB() in the
	last argument really is passed as last argument to the linker; and
	linker paths are position sensitive.

2007-04-09  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gvm4/check-package.m4, m4/check-package.m4: Some more m4 fixes.

2007-04-08  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* data/orrery.in, configure.ac: env-var related fixes.

	* configure.ac: Data-path subst fixes.

2007-04-07  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gvm4/withtool.m4, m4/withtool.m4:
	Fix empty path issue in GV_PATH_PROG (dirname perl == ., not empty).

	* Makefile.am, configure.ac: Make sure to use new CHECK_PACKAGE stuff.

	* gvm4/check-package.m4, gvm4/geomview.m4, m4/check-package.m4, m4/geomview.m4:
	FreeBSD seems to work now (with this emodule)

	* gvm4/check-package.m4, m4/check-package.m4: Cosmetics.

	* gvm4/check-package.m4, m4/check-package.m4:
	We need to be a little bit more careful when checking for packages;
	Linux is not the world.

	* gvm4/lf_local.m4, m4/lf_local.m4:
	Fix header link & install issue for auto-generated headers.

2007-04-06  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gvm4/check-package.m4, gvm4/geomview.m4, m4/check-package.m4, m4/geomview.m4:
	Fix include path stuff for tcl and geomview

2007-04-03  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am: Add path to X11 include files via X_CFLAGS.

2007-04-01  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am: Build-scheme fixes, mostly cosmetics.

	* NEWS: Fill with contents.

	* gvm4/geomview.m4, m4/geomview.m4:
	Fix help text (kill reference to "example" emodule).

2007-03-23  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* data/Makefile.am: Cosmetics.

	* gvm4/check-package.m4, gvm4/geomview.m4, m4/check-package.m4, m4/geomview.m4:
	Writing autoconf test is really a little bit complicated ...

	* gvm4/geomview.m4, m4/geomview.m4:
	Check also in standard places for geomview include files.

2007-03-22  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* reconf: Use "autoreconf -i"

	* Makefile.am: Get rid of non-portable pattern rules.

	* .cvsignore: Ignore config.h stuff.

	* configure.ac, gvm4/geomview.m4, m4/geomview.m4:
	Fix version check. Move most of the generic autoconf initialization to
	the GV_INIT_GEOMVIEW() macro.

	* ChangeLog: Update.

	* configure.ac: Use standard installation prefix.

	* .cvsignore: Ignore blah.

	* configure.ac: Tcl/Tk needs on X11 (on Unix), so check for that.

	* .cvsignore: Ignore some more auto stuff.

	* gvm4/geomview.m4, m4/geomview.m4:
	Small fixes (check for -lm, math.h, other minor stuff).

	* gvm4/geomview.m4, gvm4/set-prefix.m4, m4/geomview.m4, m4/set-prefix.m4:
	Some fine-tuning

	* Makefile.am, data/.cvsignore: Really feature a local installation.

	* configure.ac, gvm4/geomview.m4, m4/geomview.m4, Makefile.am:
	Feature local installation.

	* data/orrery, data/orrery.in:
	The wish script has now some configure substitutions.

	* gvm4/check-package.m4, gvm4/geomview.m4, m4/check-package.m4, m4/geomview.m4:
	Autoconf madness.

2007-03-22  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Use standard installation prefix.

	* .cvsignore: Ignore blah.

	* configure.ac: Tcl/Tk needs on X11 (on Unix), so check for that.

	* .cvsignore: Ignore some more auto stuff.

	* gvm4/geomview.m4:
	Small fixes (check for -lm, math.h, other minor stuff).

	* gvm4/geomview.m4, gvm4/set-prefix.m4: Some fine-tuning

	* Makefile.am, data/.cvsignore: Really feature a local installation.

	* configure.ac, gvm4/geomview.m4, Makefile.am:
	Feature local installation.

	* data/orrery, data/orrery.in:
	The wish script has now some configure substitutions.

	* gvm4/check-package.m4, gvm4/geomview.m4: Autoconf madness.

2007-03-21  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* configure.ac: Cosmetics.

	* .cvsignore: Ignore auto-generated scripts.

	* gvm4/geomview.m4:
	Use GeomGet()/GeomSet() instead of accessing private
	data-structures. Make sure the damn stuff compiles as external module,
	outside the Geomview source-tree.

	* gvm4/geomview.m4: Fix unbalanced if-fi

	* gvm4/geomview.m4: Build system fixes.

	* gvm4/geomview.m4: Optionally check for the version of Geomview.

	* configure.ac: AC_PREREQ.

	* Makefile.am, configure.ac: Interpreters with variable substitutions.

	* gvm4/withtool.m4: CHECK_PROG/PATH_PROG duality.

	* mktxmesh, mktxmesh.pl, peri2elem, peri2elem.tcl, quick2elem, quick2elem.pl, stargv, stargv.pl, tailcone, tailcone.pl:
	Renamed, use variable substitution for interpreters.

	* .cvsignore: Ignore orrery binary.

	* .cvsignore, Makefile.am, configure.ac:
	Compile orrery_funcs.c and testwish.c into orrery binary if Tcl/Tk
	libraries are found.

	* orrery_funcs.c: Fix compiler warnings.

	* gvm4/withtool.m4: Absolute/relative path-name support.

2007-03-20  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gvm4/withtool.m4, gvm4/geomview.m4: Initial revision.

	* Makefile.am, configure.ac, data/Makefile.am, data/orr/Makefile.am, data/orrery, .cvsignore:
	Update the automake machinery; orrery is configured as a real separate
	module, outside the Geomview source tree, as should be.

2007-03-18  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* mktxmesh: Comment/cosmetics.

2007-02-10  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gvm4/lf_local.m4:
	Hopefully LF_LINK_HEADERS() works _NOW_ for in-path and VPATH builds.

	* gvm4/lf_local.m4: Undo a bug introduced previously by myself.

2006-10-06  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gvm4/lf_local.m4:
	Prefix fix for header linking was wrong. Correct that.

	* gvm4/lf_local.m4:
	Take relative/non relative source locations into account.

2006-07-30  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am: Let .geomview-orrery depend on the Makefile

2006-07-29  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* Makefile.am: Look under GEOMDATA/modules/orrery/orrery

	* configure.ac:
	Fixed configure.ac: AM_INIT_AUTOMAKE/AC_CONFIG_AUXDIR order.

2006-07-28  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* data/orr/.cvsignore: Initial revision.

	* data/.cvsignore: The usual ignore blah.

	* data/Makefile.am, data/orr/Makefile.am, Makefile.am: Automake stuff.

	* .cvsignore: CVS ignore pattern.

	* configure.ac, configure.in: Renamed.

2006-07-27  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gvm4/check-package.m4, gvm4/frameworks.m4, gvm4/set-prefix.m4:
	Initial revision.

2006-07-15  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gvm4/geom_local.m4: configure.in -> configure.ac

2006-07-14  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gvm4/.cvsignore: * use one shared library (i.e. libgeomview.so)
	* do not use undocumented stdio internals
	* src/lib/aclib/fmemopen.c -- fmemopen replacement
	* src/lib/oogl/utilt/iobuffer.[ch] -- totally buffered input, with seekback (pipes)
	* a bunch of autoconf changes
	* OpenGL is optional again
	* reenable hinge module
	* reenable flythrough module
	* reenable cplxview module

2006-06-24  Claus-Justus Heine  <Claus-Justus.Heine@IANS.Uni-Stuttgart.DE>

	* gvm4/geom_local.m4, gvm4/lf_local.m4: Fix "underquoted" AC_DEFUN's

2004-02-22  Steve M. Robbins  <steve@nyongwa.montreal.qc.ca>

	* gvm4/lf_local.m4: *** empty log message ***

	* gvm4/Makefile.am: 	* m4/Makefile.am: Remove.
		* Makefile.am (m4_files): Distribute the m4/*.m4 files.

		* configure.in: Take care to avoid using MS Windows "find"
		command.  Do not create m4/Makefile.

2002-02-21  Mark Phillips  <mbp@geomtech.com>

	* ChangeLog, INSTALL, Makefile.am, README, configure.in, data/Makefile.am, data/orr/Makefile.am, reconf:
	*** empty log message ***

2002-02-21  Mark Phillips  <mbp@geomtech.com>

	* release 0.9.3

	* modified settings in configure script and Makefile to allow this
	  distribution to be configured and built outside of the Geomview
	  source tree.  (This was actually pretty easy, since there isn't
	  anything to compile.)

2001-03-18  Mark Phillips  <mbp@geomtech.com>

	* created version of Orrery that uses Geomview's GNU autoconf
	  and Makefile system and which is "insertable" into
	  an existing geomview 1.8.0 (or higher) source tree.  See
	  INSTALL for installation details.
	
        * release 0.9.2
